/*
 * Test basic features of coloredstderr.
 *
 * Copyright (C) 2013  Simon Ruderich
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <config.h>

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>

#include "../src/compiler.h"


int main(int argc, char **argv unused) {
    fprintf(stderr, "write to stderr: %d\n", argc);
    printf("write to stdout\n");
    fflush(stdout);

    errno = 0;
    perror("error!");

    write(STDERR_FILENO, "write to stderr 2", 17);
    write(STDOUT_FILENO, "write to stdout 2", 17);

    fprintf(stderr, "\n");
    fprintf(stdout, "\n");
    fflush(stdout);

    /* Check usage of tracked_fds_list (at least in parts). No error checking
     * here! */
    dup2(STDERR_FILENO, 471);
    dup2(471, 42);
    write(471, "more on stderr\n", 15);
    close(471);
    dup2(STDOUT_FILENO, 471);
    write(42, "stderr ...\n", 11);
    write(471, "more on stdout\n", 15);

    return EXIT_SUCCESS;
}
